Distributor API
Create partner
Header Parameters
SW-DISTRIBUTOR-ID*string
SW-API-KEY*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
At least one of basic_billing_code, plus_billing_code, or pro_billing_code must be provided.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/distributors/partners" \ -H "SW-DISTRIBUTOR-ID: string" \ -H "SW-API-KEY: string" \ -H "Content-Type: application/json" \ -d '{ "name": "API Test Partner", "contact_email": "partner@example.com", "product_type": "SafeWeb (New) Standard", "reply_to_email": "reply@example.com", "account_reference": "ref-123", "monthly_churn_limit": 10, "basic_billing_code": "SW-SW1", "send_customer_welcome_emails": true, "send_transactional_emails": true }'{ "success": true, "data": { "uuid": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb" }}